اطلاعیه

بستن
No announcement yet.

مشکل در نصب ssh در debian

بستن
X
 
  • فیلتر کردن
  • زمان
  • نمایش
Clear All
پست های جدید

    مشکل در نصب ssh در debian

    سلام من روی vsphere client یه ماشین مجازی برای debian درست کردم وقتی میخوام با putty بهش وصل شم error conection refuse میده. ssh هم چک کردم روی سرور نصب نبود وقتی میخوام ssh رو نصب کنم error ریپازیتوری میداد که خودم به صورت دستی ریپازیتوری ها رو اضافه کردم و بعدش خواستم update کنم با پیغام زیر مواجه شدم.

    کد PHP:
    apt-get update
    E
    The method driver /usr/lib/apt/methods/https could not be found
    اینستاگرام انجمن لینوکس ایران : https://www.instagram.com/iranlinuxforum

    #2
    سلام میشه محتوای فایل sources.list رو اینجا کپی کنید

    من قلبی بزرگ با رویاهایی بزرگ دارم. دانسته هایمان را با هم به اشتراک بگذاریم.

    کامنت


      #3
      بفرمایید :
      کد PHP:
      deb http://ftp.au.debian.org/debian stable main contrib non-freedeb-src http://ftp.au.debian.org/debian stable main contrib non-free
      deb http://ftp.debian.org/debian/ wheezy-updates main contrib non-freedeb-src http://ftp.debian.org/debian/ wheezy-updates main contrib non-free
      deb http://security.debian.org/ wheezy/updates main contrib non-freedeb-src http://security.debian.org/ wheezy/updates main contrib non-free 
      اینستاگرام انجمن لینوکس ایران : https://www.instagram.com/iranlinuxforum

      کامنت


        #4
        مشکل update کردنم حل شد. repository هایی که به فایل sources.list اضافه کرده بودم برای 32 بیتی بود در حالی که os من 64 بیتی بودش که با عوض کردن آن مشکل برطرف گردید. ولی هنوز موقع ssh کردن با اررور network error connection refused میده و نمیتونم ssh کنم. ممنون میشم کمک کنید. باتشکر
        اینستاگرام انجمن لینوکس ایران : https://www.instagram.com/iranlinuxforum

        کامنت


          #5
          سلام
          پکیج زیر را نصب کنید و مجدد تست کنید.
          کد:
          sudo apt-get install apt-transport-https

          کامنت


            #6
            سلام مطمین هستید که ssh نصب شده؟
            اررو رو به صورت کامل بزارید

            من قلبی بزرگ با رویاهایی بزرگ دارم. دانسته هایمان را با هم به اشتراک بگذاریم.

            کامنت


              #7
              نوشته شده توسط danitfk مشاهده پست
              سلام
              پکیج زیر را نصب کنید و مجدد تست کنید.
              کد:
              sudo apt-get install apt-transport-https
              خروجی دستوری که فرمودین :
              کد PHP:

              root
              @debian:~# apt-get install apt-transport-https

              Reading package list... Done

              Building dependency tree

              Reading state information 
              ... Done

              Some packages could not be installed
              This may mean that you have 

              requested an impossible situation 
              or if you are using the unstable 

              distribution that some required packages have not yet been created

              or been moved out of Incoming.

              The following information may help to resolve the situation:


              The following packages have unmet dependencies:

              apt-transport-https Depends libcur13-gnutls (>= 7.16.2but it is not going 

              to be installed

              E
              Unable to correct problemsyou have help broken packages.

              root@debian:~

              نوشته شده توسط amir مشاهده پست
              سلام مطمین هستید که ssh نصب شده؟
              اررو رو به صورت کامل بزارید
              چطور میتونم بفهمم که ssh نصب هستش ؟

              با تشکر از پیگیری شما
              آخرین ویرایش توسط behrooz; در تاریخ/ساعت 04-29-2015, 12:43 PM.
              اینستاگرام انجمن لینوکس ایران : https://www.instagram.com/iranlinuxforum

              کامنت


                #8
                ببینید چند تا کار انجام بدید
                اول ببینید پینگ سرور تون رو دارید؟
                دوم اینکه ببینید روی سرورتون فایروال ران هست یا نه؟
                سوم اینکه با استفاده از دستور زیر ببینید آیا پورت ssh لیسن میشه یا نه :
                کد PHP:
                 netstat -atnp grep 22 

                من قلبی بزرگ با رویاهایی بزرگ دارم. دانسته هایمان را با هم به اشتراک بگذاریم.

                کامنت


                  #9
                  نوشته شده توسط amir مشاهده پست
                  ببینید چند تا کار انجام بدید
                  اول ببینید پینگ سرور تون رو دارید؟
                  دوم اینکه ببینید روی سرورتون فایروال ران هست یا نه؟
                  سوم اینکه با استفاده از دستور زیر ببینید آیا پورت ssh لیسن میشه یا نه :
                  کد PHP:
                   netstat -atnp grep 22 
                  پینگ سرور رو که دارم فایروال هم نداره دبیانم. دستوری هم که فرمودین رو زدم هیچ عکس العملی نشون نداد.
                  اینستاگرام انجمن لینوکس ایران : https://www.instagram.com/iranlinuxforum

                  کامنت


                    #10
                    شما بزن :
                    apt-get install ssh
                    اگه نصب باشه بهتون میگه :
                    already intalled the newest version

                    من قلبی بزرگ با رویاهایی بزرگ دارم. دانسته هایمان را با هم به اشتراک بگذاریم.

                    کامنت


                      #11
                      شما رو پورت 22 تلنت کن به سرورت ببین پورت 22 بازه:
                      telnet 192.168.1.100 22

                      من قلبی بزرگ با رویاهایی بزرگ دارم. دانسته هایمان را با هم به اشتراک بگذاریم.

                      کامنت


                        #12
                        اینم خروجی دستور apt-get install ssh
                        کد PHP:

                        root
                        @debian:~# apt-get install apt-transport-https

                        Reading package list... Done

                        Building dependency tree

                        Reading state information 
                        ... Done

                        Some packages could not be installed
                        This may mean that you have 

                        requested an impossible situation 
                        or if you are using the unstable 

                        distribution that some required packages have not yet been created

                        or been moved out of Incoming.

                        The following information may help to resolve the situation:


                        The following packages have unmet dependencies:

                        ssh Dependsopenssh-server but it is not going to be installed

                        E
                        Unable to correct problemsyou have help broken packages.

                        root@debian:~
                        اینستاگرام انجمن لینوکس ایران : https://www.instagram.com/iranlinuxforum

                        کامنت


                          #13
                          بله همونطور که حدس زدم ssh نصب نیست . شما مشکل ریپازیتوری دارین. به نظرم به جای ap-get از aptitute استفاده کنید:
                          aptitute install ssh

                          من قلبی بزرگ با رویاهایی بزرگ دارم. دانسته هایمان را با هم به اشتراک بگذاریم.

                          کامنت


                            #14
                            این دستور aptitude رو زدم اینم خروجیش :

                            کد PHP:

                            root
                            @debian:~#aptitude install ssh

                            The following NEW packages will be installed:

                              
                            openssh-server{abssh

                            0 packages upgraded
                            2 newly installed0 to remove and 40 not upgraded.

                            Need to get 341 KB of archivesafter unpacking 756 KB will be used.

                            The following packages have unmet dependencies:

                             
                            openssh-server Dependsopenssh-client (= 1:6.0p1-4+deb7u1but 1:6.0p1-4+deb7u2

                            is installed
                            .

                            The following actions will resolve these dependencies:
                                  
                            keep the following packages at their current version:

                            1)      openssh-server [Not Installed]

                            2)      ssh [Not Installed]

                            Accept this solution? [Y/n/q/?] y

                            No packages will be installed
                            upgraded, or removed.

                            packages upgraded0 newly installed0 to remove and 40 not upraded.

                            Need to get 0 B of archivesAfter unpacking 0 B will be used.


                            root@debian:~
                            اینستاگرام انجمن لینوکس ایران : https://www.instagram.com/iranlinuxforum

                            کامنت


                              #15
                              خوب گویا باز هم نصب نشده
                              یه پیش نیاز میخواد که اونو پیدا نمیکنه : openssh-client
                              مشکل ریپازیتوری دارین
                              ریپازیتوری هاتون رو عوض کنید و یا بش اضافه کنید

                              من قلبی بزرگ با رویاهایی بزرگ دارم. دانسته هایمان را با هم به اشتراک بگذاریم.

                              کامنت

                              درباره انجمن منطقه لینوکسی ها

                              انجمن منطقه لینوکسی ها با هدف ارتقاء سطح علمی کاربران در سطح جهانی و همچنین کمک به بالا بردن سطح علمی عمومی در زمینه های تخصصی فوق پایه گذاری شده است. انجمن منطقه لینوکسی ها از طریق کارشناسان و متخصصان پاسخگوی سوالات گوناگون کاربران مبتدی یا پیشرفته میباشد تا حد امکان تلاش شده که محیطی متنوع و کاربر پسند و به دور از هرگونه حاشیه جهت فعالیت کاربران در این انجمن ایجاد شود. لذا ما به صورت مستمر برای پیشرفت کمی و کیفی محتوی و اطلاعات انجمنمان میکوشیم که این برای ما ارزشمند و حائز اهمیت است. کلیه حقوق،اطلاعات و مقالات در این انجمن متعلق به سایت منطقه لینوکسی ها میباشد، و هرگونه نسخه برداری بدون ذکر منبع مورد پیگرد قانونی خواهد شد.

                              شبکه های اجتماعی

                              ایمیل مدیریت

                              Habili@linux-zone.org

                              در حال انجام ...
                              X